POSTgetRecentPerformanceSamples

Returns a list of recent performance samples, in reverse slot order. Performance samples are taken every 60 seconds and include the number of transactions and slots that occur in a given time window.

Request Body
jsonrpcstringrequired
idintegerrequired
methodstringrequired
paramsinteger[]required

It contains following items:

  1. Number of samples (optional)
Responses
idinteger

The request ID

jsonrpcstring

The JSON-RPC version

slotinteger (uint64)

Slot in which sample was taken at

numTransactionsinteger

Number of transactions processed during the sample period

numSlotsinteger

Number of slots completed during the sample period

samplePeriodSecsinteger

Number of seconds in a sample window

numNonVoteTransactionsinteger

Number of non-vote transactions processed during the sample period

X-API-KEY
RequestCU10
cURL
curl -X POST "https://solana-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "getRecentPerformanceSamples",
  "params": [2]
}'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "result": [
    {
      "slot": 348125,
      "numTransactions": 126,
      "numSlots": 126,
      "samplePeriodSecs": 60,
      "numNonVoteTransactions": 1
    },
    {
      "slot": 347999,
      "numTransactions": 126,
      "numSlots": 126,
      "samplePeriodSecs": 60,
      "numNonVoteTransactions": 1
    }
  ],
  "id": 1
}